%define build_mozilla 1

%define major		0
%define gi_major	1.0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gi_major}

%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	Movie player for GNOME
Name:		totem
Version:	3.2.1
Release:	%mkrel 1
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source2:	totem-opendvd.desktop
License:	GPLv2 with exception
Group:		Video
URL:		http://projects.gnome.org/totem/
BuildRequires:	intltool
BuildRequires:	gstreamer0.10-plugins-good
BuildRequires:	gstreamer0.10-soup
BuildRequires:	gnome-common
BuildRequires:	shared-mime-info
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires:	pkgconfig(clutter-1.0) >= 1.6.8
BuildRequires:	pkgconfig(clutter-gst-1.0) >= 1.3.9
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(mx-1.0)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(totem-plparser) >= 2.32.4
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(libgdata) >= 0.4.0
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(libvala-0.14)
BuildRequires:	pkgconfig(libnautilus-extension) >= 2.91.3
BuildRequires:	pkgconfig(libproxy-1.0)
Requires:	grilo-plugins
Requires:	iso-codes
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-soup
Suggests:	gstreamer0.10-resindvd
Suggests:	gstreamer0.10-a52dec
Requires:	pyxdg
Requires:	python-httplib2
Requires:	python-feedparser
Requires:	python-beautifulsoup
Obsoletes:	totem-tracker < %{version}

%description
Totem is simple movie player for the GNOME desktop. It
features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

%if %{build_mozilla}
%package mozilla
Summary:	Totem video plugin for Mozilla Firefox
Group:		Networking/WWW
BuildRequires:	pkgconfig(dbus-1) >= 0.35
Requires:	%{name} = %{version}-%{release}

%description mozilla
This embeds the Totem video player into web browsers based on Mozilla Firefox.
%endif

%package nautilus
Group:		Video
Summary:	Video and Audio Properties tab for Nautilus
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus

%description nautilus
A Nautilus extension that shows the properties of audio and video
files in the properties dialogue.

%package devel
Group:		Development/Libraries
Summary:	Devel files for %{name}
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description devel
Devel files for %{name}.

%prep 
%setup -q 

%build
%configure2_5x \
	--disable-run-in-source-tree \
	--enable-easy-codec-installation \
%if %build_mozilla
	--enable-browser-plugins \
%else
	--disable-browser-plugins \
%endif
        --disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name *.la | xargs rm

rm -rf \
 %{buildroot}%{_libdir}/libbaconvideowidget.so \
 %{buildroot}%{_libdir}/totem/plugins/bemused/ \
 %{buildroot}%{_libdir}/totem/plugins/mythtv/

%find_lang %{name} --with-gnome

for omf in %{buildroot}%{_datadir}/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

#menu
MIME_TYPES=`tr '\n' , < data/mime-type-list.txt | sed -e 's/,$//'`
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

perl -pi -e "s|Movie Player|Totem Movie Player|" $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

mkdir -p %{buildroot}/%{_datadir}/apps/solid/actions
install -D -m 644 %{SOURCE2} %{buildroot}%{_datadir}/apps/solid/actions/

rm -rf %{buildroot}%{_libdir}/{totem/plugins/*/,mozilla/plugins,nautilus/extensions-2.0}/*.{la,a} %buildroot/var/lib/scrollkeeper

rm -f %{buildroot}%{_libdir}/libbaconvideowidget.{a,la,so}

#nuke the .la file(s)
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files -f %{name}.lang
%doc README AUTHORS TODO NEWS
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/totem
%{_datadir}/applications/totem.desktop
%{_datadir}/apps/solid/actions/totem-opendvd.desktop
%dir %{_libdir}/totem
%dir %{_libdir}/totem/plugins/
%{_libdir}/totem/plugins/brasero-disc-recorder
%{_libdir}/totem/plugins/chapters
%{_libdir}/totem/plugins/dbus
%{_libdir}/totem/plugins/grilo
%{_libdir}/totem/plugins/gromit
%{_libdir}/totem/plugins/iplayer
%{_libdir}/totem/plugins/lirc
%{_libdir}/totem/plugins/media-player-keys
%{_libdir}/totem/plugins/ontop
%{_libdir}/totem/plugins/opensubtitles
%{_libdir}/totem/plugins/properties
%{_libdir}/totem/plugins/zeitgeist-dp
%{_libdir}/totem/plugins/pythonconsole
%{_libdir}/totem/plugins/rotation
%{_libdir}/totem/plugins/screensaver
%{_libdir}/totem/plugins/screenshot
%{_libdir}/totem/plugins/skipto
%{_libdir}/totem/plugins/youtube
%{_libdir}/totem/plugins/save-file
%{_libdir}/totem/totem-bugreport.py
%{_libdir}/totem/plugins/im-status
%{_datadir}/thumbnailers/totem.thumbnailer
%{_mandir}/man1/*
%{_bindir}/totem
%{_bindir}/totem-audio-preview
%{_bindir}/totem-video-thumbnailer
%{_datadir}/GConf/gsettings/
%{_datadir}/glib-2.0/schemas/*.xml
%{_libdir}/lib%{name}.so.%{major}*
%{_libdir}/girepository-1.0/Totem-%{gi_major}.typelib

%files nautilus
%{_libdir}/nautilus/extensions-3.0/*

%if %build_mozilla
%files mozilla
%{_libdir}/mozilla/plugins/libtotem*.so
%{_libexecdir}/totem-plugin-viewer
%endif

%files devel
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Totem-%{gi_major}.gir

%posttrans
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas


%changelog
* Wed Oct 18 2011 Texstar <texstar at gmail.com> 3.2.1-1pclos2011
- 3.2.1

* Thu Oct 06 2011 Texstar <texstar at gmail.com> 3.2.0-1pclos2011
- 3.2.0
